#!/usr/bin/make -f

# Achim Gaedke
# May 2007

# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1
PYVERS=$(shell py3versions -vr)
PACKAGE_NAME=python3-damaris
PYBUILD_NAME=python3-damaris
MODULE_NAME=damaris3
PYBASE=$(CURDIR)/debian/${PACKAGE_NAME}
DH_ALWAYS_EXCLUDE=CVS:.git:venv:.venv:*.h5

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

override_dh_auto_build:
	dh_auto_build
	sphinx-build -N -bhtml doc/ build/doc


override_dh_auto_test:
	PYBUILD_TEST_ARGS="-v $(CURDIR)/tests" dh_auto_test
